System ip changed

my server run on private ip 192.168.1.10 get from my private router,
but i set 1 public ip and forward it to my hestiacp system and run fine.
my query is if i change my public ip to another ip and run this command in my hestiacp system: v-update-sys-ip
so is hestiacp change its ip? and change ip where it uses like for websites, emails, etc? or not?

Yes, it will change all the confs to use the new public ip.

This is what the script does:

❯ sed -n '/#.*Action/,$p' /usr/local/hestia/bin/v-update-sys-ip | grep -E '^# |^\s#'
#                       Action                             #
# Listing system IP addresses
# Checking primary IP change
# Updating configs
        # Generating timestamp
        # Updating IP's values
        # Updating PROXY
        # Updating WEB
        # Updating MAIL
        # Updating DNS
        # Updating FTP
        # Updating firewall
# Adding system IP
# Updating NAT
# Updating IP usage counters
#                       Hestia                             #

You could use this script to check whether the public ip has changed and execute v-update-sys-ip automatically.

#!/usr/bin/env bash
set -euo pipefail

if [[ $EUID -ne 0 ]]; then
    echo "Script must be executed as root user" >&2
    exit 1
fi

BIN="/usr/local/hestia/bin"
basedir="/var/lib/check_public_ip"
host="$(hostname)"
iplist="$basedir/${host}.iplist"
iplist_log="$basedir/${host}.iplist.log"
cur_ip=""
saved_ip=""

if [[ ! -d $basedir ]]; then mkdir -p "$basedir"; fi
if ! cur_ip="$(dig @ns.sslip.io txt ip.sslip.io +short -4 | tr -d '"')"; then
    echo "Error getting public ip."
    exit 2
fi
if [[ -z $cur_ip ]]; then
    echo "Error, \$cur_ip is empty."
    exit 3
fi
if [[ ! -f $iplist ]]; then echo "$cur_ip" >"$iplist"; fi
saved_ip="$(head -n1 "$iplist")"
if [[ "$cur_ip" == "$saved_ip" ]]; then exit 0; fi

if [[ -n $saved_ip ]]; then
    echo "Old IP was $saved_ip and new IP is $cur_ip"
    if "$BIN/v-update-sys-ip"; then
        echo "v-update-sys-ip executed successfully"
    else
        echo "Error executing v-update-sys-ip"
        exit 4
    fi
fi
echo "$cur_ip" >"$iplist"
echo "$(date +'%Y-%m-%d_%H:%M:%S') IP: $cur_ip" >>"$iplist_log"

You should create a cron job to execute the script every 5 minutes (or the time you need).

3 Likes

Thanks @sahsanu sir I use the script and cron job too.

2 Likes